 /* ===========================
	BACKDROP DU MODAL
=========================== */
.modal {
	display: none;
	position: fixed;
	inset: 0;
	z-index: 80;
	background: rgba(0, 0, 0, 0.8);

	display: flex;
	justify-content: center;
	align-items: center;

	overflow: hidden;
}

.modal-iframe-wrapper {
	position: relative;
	width: 1920px;
	height: 1080px;

	display: flex;
	justify-content: center;
	align-items: center;
}

#modal-iframe{
    display: none;
}
.modal-iframe {
	width: 1920px;
	height: 1080px;
	border: none;
	transform-origin: center center;
}

.close {
	z-index: 81;
	position: absolute;
	top: 20px;
	right: 30px;
	color: #fff;
	font-size: 30px;
	font-weight: bold;
	cursor: pointer;
}

.loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
    color: wheat;
    font-size: 20px;
    z-index: 200;
}

/* Le spinner */
.loading::before {
    content: "";
    width: 48px;
    height: 48px;
    border: 5px solid rgba(255,255,255,0.3);
    border-top-color: wheat;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
}

@keyframes spin {
    to { transform: rotate(360deg); }
}


.telecharger {
	position: absolute;
	top: 25px;
	right: 60px;
	color: #fff;
	font-size: 18px;
	font-weight: bold;
	cursor: pointer;
} 





.modal-toolbar {
    position: absolute;
    top: 0px;
    right: 15px;
    display: flex;
    gap: 10px;
    z-index: 200;
    padding: 8px 14px;
    background: rgba(0,0,0,0.35);
    backdrop-filter: blur(6px);
    border-radius: 10px;
}

.toolbar-btn {
    display: flex;
    align-items: center;
    gap: 6px;
    padding: 6px 12px;
    background: #e06d29;
    color: #fff;
    border: none;
    border-radius: 6px;
    font-size: 14px;
    cursor: pointer;
    transition: 0.2s ease;
}

.toolbar-btn:hover {
    background: #ff7f36;
    transform: translateY(-1px);
}

.toolbar-btn:active {
    transform: translateY(0);
    background: #c85f22;
}

.toolbar-btn .icon {
    width: 18px;
    height: 18px;
    pointer-events: none;
}





/* OEIL SUR IMAGE POUR ZOOM */
.zoom-iframe {
  position: relative;
  cursor: pointer;
  transition: transform 0.8s ease;
}
.zoom-iframe:hover {
  /* transform: scale(1.02); */
}
.zoom-iframe::after {
  content: "🔍";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 80px;
  height: 80px;
  text-align: center;
  transform: translate(-50%, -50%);
  font-size: 2.5em;
  color: rgba(255, 255, 255, 0.5);
  background: rgba(0, 0, 0, 0.1);
  padding: 10px 10px;
  border-radius: 50%;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none; /* pour ne pas bloquer le clic */
}
.zoom-iframe:hover::after {
  opacity: 0.6;
}
